# $Id: 10_readnt.t,v 1.1 2008/07/15 18:54:59 pythontech Exp $
use strict;
use Test::More tests => 2;

use lib 't/lib';
use DbUtil;

use PythonTech::Triples::DBHash;
use DB_File;

my $dbname = 't/new02.3db';

# With access = 'w', should create new db file
unlink($dbname);
my $new = new PythonTech::Triples::DBHash(filename => $dbname,
					  access => 'w');
eval {$new->read_ntriples(\*DATA)};
is($@, '', 'read_ntriples');
$new->commit;

$new->disconnect; # close it
my $expected = join('', map {"$_\n"} sort
		    'v1 = foo', 'ifoo = 1',
		    'v2 = bar', 'ibar = 2',
		    'v3 = baz', 'ibaz = 3',
		    'v4 = quux', 'iquux = 4',
		    'v5 = =ab%09cd%0D%0Aef%5Cn', 'i=ab%09cd%0D%0Aef%5Cn = 5',
		    'l = 5',
		    't1,2,3 = 1',
		    't1,2,4 = 1',
		    't3,2,5 = 1',
		    'o1,2 = 3+4',
		    'o3,2 = 5',
		    's2,3 = 1',
		    's2,4 = 1',
		    's2,5 = 3');
is(&dbread($dbname), $expected, 'db data for 2 triples');

$new = undef;
unlink($dbname);

# Content for <DATA> handle below...
__END__
<foo> <bar> <baz> .
<foo> <bar> <quux> .
<baz> <bar> "ab\tcd\r\nef\\n"@en .
